> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voicemail Message

> Get a single voicemail message by ID, including its media URL



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/voicemail-messages/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/voicemail-messages/{id}:
    get:
      tags:
        - Voicemail Messages
      summary: Get Voicemail Message
      description: Get a single voicemail message by ID, including its media URL
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Voicemail message ID
      responses:
        '200':
          description: Message details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  mailboxUser:
                    anyOf:
                      - type: string
                      - type: 'null'
                  mailboxContext:
                    anyOf:
                      - type: string
                      - type: 'null'
                  messageNumber:
                    anyOf:
                      - type: number
                      - type: 'null'
                  callerId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  date:
                    anyOf:
                      - anyOf:
                          - type: string
                          - type: number
                      - type: 'null'
                  dateUnix:
                    anyOf:
                      - type: number
                      - type: 'null'
                  extNum:
                    anyOf:
                      - type: string
                      - type: 'null'
                  read:
                    type: boolean
                  duration:
                    anyOf:
                      - type: number
                      - type: 'null'
                  transcript:
                    anyOf:
                      - type: string
                      - type: 'null'
                  mediaURL:
                    anyOf:
                      - type: string
                      - type: 'null'
                  dir:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````